<configuration>
    <appender name="File" class="ch.qos.logback.core.FileAppender">
        <file>run.log</file>
        <append>false</append>
        <encoder>
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} %p [${HOSTNAME}] [%t] %logger #@# %m%n%ex{full}</pattern>
        </encoder>
    </appender>

    <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} %p [${HOSTNAME}] [%t] %logger #@# %m%n%ex{full}</pattern>
        </encoder>
    </appender>

    <root level="WARN">
        <appender-ref ref="File"/>
        <appender-ref ref="Console"/>
    </root>

    <logger name="org.apache.hadoop.conf.Configuration" level="ERROR"/>
    <logger name="org.apache.hadoop.util.NativeCodeLoader" level="ERROR"/>
    <logger name="org.apache.hadoop.hdfs.shortcircuit.DomainSocketFactory" level="ERROR"/>
    <logger name="akka" level="ERROR"/>
    <logger name="org.apache.flink.runtime" level="ERROR"/>
    <logger name="org.apache.flink.runtime.taskexecutor.TaskExecutor" level="WARN"/>
    <logger name="org.apache.flink.core.plugin.PluginConfig" level="ERROR"/>

    <logger name="com.lanyuanxiaoyao.service" level="INFO"/>
</configuration>